%kmdl fcpci

Summary: Drivers for the Fritz!Card PCI.
Name: fcpci
Version: 03.11.02
Release: 6%{?dist}
License: AVM
Group: System Environment/Kernel
URL: http://www.avm.de/de/Service/AVM_Service_Portale/Linux/index.php3
Source0: ftp://ftp.avm.de/cardware/fritzcrd.pci/linux/suse.91/%{name}-suse9.1-3.11-02.tar.gz
Source1: p://ftp.avm.de/cardware/fritzcrd.pci/linux/suse.82/%{name}-suse8.2-%{version}.tar.gz
Patch: fcpci-modversions.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%kmdl_parentdependencies

%description
This package contains kernel drivers for the Fritz!Card PCI.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for Fritz!Card PCI ISDN.
Group: System Environment/Kernel

%description -n %kmdl_name
This package contains kernel drivers for the Fritz!Card PCI.

%kmdl_desc

%prep
if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
%setup -q -n fritz
else
%setup -q -n fritz -T -b 1
%patch -p1 -b .modversions
  if grep irqreturn_t %{kmdl_kernelsrcdir}/include/linux/interrupt.h 2>&1; then
    perl -pi -e's,typedef void irqreturn_t;,/*typedef void irqreturn_t;*/,' src.drv/defs.h
  fi
fi

%build

%if %{kmdl_userland}
%else

%kmdl_config
if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd`/src LIBDIR=`pwd`/lib
else
  make KRNLINCL=%{kmdl_kernelsrcdir}/include CCFLAGS=" -c \$(DEFINES) %{optflags} -Wall -I \$(KRNLINCL) -include \$(KRNLINCL)/linux/modversions.h"
fi

%endif


%install
rm -rf %{buildroot}

%if %{kmdl_userland}
%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/isdn/fritz
if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd`/src modinst_dir=%{buildroot}%{kmdl_moduledir}/drivers/isdn/fritz modules_install
else
  make CARD_PATH=%{buildroot}%{kmdl_moduledir}/drivers/isdn/fritz install
fi

%endif


%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc *.txt *.html

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/isdn/fritz/fcpci.*o

%endif


%changelog
* Sun Apr 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


